<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Database..::.GetMultiple Method (DatabaseEntry, Int32, Transaction, LockingInfo)
Database Class See Also Send Feedback

Retrieve a key and all duplicate data items from the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public KeyValuePair<DatabaseEntry, MultipleDatabaseEntry> GetMultiple(
    	DatabaseEntry key,
    	int BufferSize,
    	Transaction txn,
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function GetMultiple ( _
    	key As DatabaseEntry, _
    	BufferSize As Integer, _
    	txn As Transaction, _
    	info As LockingInfo _
    ) As KeyValuePair(Of DatabaseEntry, MultipleDatabaseEntry)

Visual C++

    public:
    KeyValuePair<DatabaseEntry^, MultipleDatabaseEntry^> GetMultiple(
    	DatabaseEntry^ key,
    	int BufferSize,
    	Transaction^ txn,
    	LockingInfo^ info
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key to search for

BufferSize
  Type: System..::.Int32
  The initial size of the buffer to fill with duplicate data items. If the buffer is not large enough, it will be automatically resized.

txn
  Type: BerkeleyDB..::.Transaction
  txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

A KeyValuePair<(Of <(TKey, TValue>)>) whose Key parameter is key and whose Value parameter is the retrieved data items.

# See Also

Database Class
GetMultiple Overload
BerkeleyDB Namespace